Subject: bug#78944: 31.0.50; Minibuffer completion

From: Drew Adams <[email-masked]>
Date: Wed, 23 Jul 2025 20:57:13 +0000

> I see.  But I was thinking of another approach: show what completion
> style was used after a (successful) completion operation.  (only when
> the style was not the first one in completion-styles).

Caveat/apology: I'm _not_ reading this thread.
I just happened to take a look at this message.
___

FWIW, I've said from the beginning that the design
of vanilla Emacs completion, which automatically
goes on to try the next style after previous styles
couldn't match anything, provides no way for a user
to know which style actually matched/completed.

It kinda assumes that your only aim is to complete
as much and as often as possible, whereas you might
be wanting to know which candidates fit which kinds
of matching (which includes knowing when a given
style or set of styles can't match any candidate).

I think this limitation is baked into the design.

Stefan will correct me...